summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorDavid Goldblatt <davidgoldblatt@fb.com>2020-09-10 17:21:32 -0700
committerDavid Goldblatt <davidtgoldblatt@gmail.com>2020-10-02 14:49:56 -0700
commit025d8c37c93a69ec0aa5d8a55e3793cb480a5ac8 (patch)
tree9a3f02d292ca72b58a17dbd91b23fda5a198be68 /scripts
parentf6bbfc1e965e3f165ea3bbdbc630d26778a7fbf4 (diff)
downloadjemalloc-025d8c37c93a69ec0aa5d8a55e3793cb480a5ac8.tar.gz
Add a script to check for clang-formattedness.
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/check-formatting.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/scripts/check-formatting.sh b/scripts/check-formatting.sh
new file mode 100755
index 00000000..68cafd8e
--- /dev/null
+++ b/scripts/check-formatting.sh
@@ -0,0 +1,28 @@
+#!/bin/bash
+
+# The files that need to be properly formatted. We'll grow this incrementally
+# until it includes all the jemalloc source files (as we convert things over),
+# and then just replace it with
+# find -name '*.c' -o -name '*.h' -o -name '*.cpp
+FILES=(
+)
+
+if command -v clang-format &> /dev/null; then
+ CLANG_FORMAT="clang-format"
+elif command -v clang-format-8 &> /dev/null; then
+ CLANG_FORMAT="clang-format-8"
+else
+ echo "Couldn't find clang-format."
+fi
+
+if ! $CLANG_FORMAT -version | grep "version 8\." &> /dev/null; then
+ echo "clang-format is the wrong version."
+ exit 1
+fi
+
+for file in ${FILES[@]}; do
+ if ! cmp --silent $file <($CLANG_FORMAT $file) &> /dev/null; then
+ echo "Error: $file is not clang-formatted"
+ exit 1
+ fi
+done